Checkio API
put/{tenantId}/v1/notifications/alerts/{alertId}

Update notification alert

Requires Authentication
Notifications

Updates an existing notification alert

Path Parameters

NameTypeDescription
tenantId
required
string (uuid)Tenant UUID
alertId
required
string (uuid)Billing alert UUID

Request Body

required
alertType
string
required
enum: "balance-low" | "balance-zero" | "billing-failure"- Type of billing alert
name
string
required
- Display name for the alert
threshold
integer (int64)
required
- Credit threshold that triggers the alert
cooldownMinutes
integer (int32)
required
- Minimum minutes between alert notifications
isEnabled
boolean
- Whether the alert should be active

Responses

Alert updated

Response Bodyapplication/json
id
string (uuid)

Code Examples

curl -X PUT 'https://api-next.checkio.co.uk/{tenantId}/v1/notifications/alerts/{alertId}' \
  -H 'Authorization: Bearer {token}' \
  -H 'Content-Type: application/json' \
  -d '{
  "alertType": "balance-low",
  "name": "string",
  "threshold": 0,
  "cooldownMinutes": 0,
  "isEnabled": true
}'